Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.result
[Java] Interface UnresolvedDependencyResult

    org.gradle.api.artifacts.result.UnresolvedDependencyResult
      org.gradle.api.artifacts.result.DependencyResult

All Superinterfaces:
  DependencyResult

    @Incubating
    public interface UnresolvedDependencyResult
    extends DependencyResult

A dependency that could not be resolved.

Method Summary
`ComponentSelector` | `getAttempted()` Returns the selector that was attempted to be resolved.
`ComponentSelectionReason` | `getAttemptedReason()` Returns the reasons why the failed selector was attempted.
`Throwable` | `getFailure()` The failure that occurred.

Methods inherited from interface DependencyResult
getFrom, getRequested

Method Detail

### getAttempted

    public ComponentSelector getAttempted()

  Returns the selector that was attempted to be resolved. This may not be the same as the requested component.

### getAttemptedReason

    public ComponentSelectionReason getAttemptedReason()

  Returns the reasons why the failed selector was attempted.

### getFailure

    public Throwable getFailure()

  The failure that occurred.

Gradle API 1.10